IR.AddListener(IR.EVENT_START, 0, function()
{
   // create HTTP device
   IR.CreateDevice(IR.DEVICE_CUSTOM_HTTP_TCP, "Monarch", "192.168.0.66", 123);
   // send requests on client Start
   sendRequests();			
});


function sendRequests() 
{
   // request 1
   // answer: SUCCESS
   IR.GetDevice("Monarch").SendEx({ 
         Type: "GET",        															
         Url:  "/Monarch/syncconnect/sdk.aspx?command=StartRecording",
         Headers: {},       
         cbReceiveText:       function(text, code, headers)  
         {
            IR.GetPage("Page 1").GetItem("Item 1").Text = text;              
         },
   });
   
   // request 2
   // answer: RECORD: READY, STREAM: DISABLED, NAME:DIS-REC-1
   IR.GetDevice("Monarch").SendEx({ 
         Type: "GET",        															
         Url:  "/Monarch/syncconnect/sdk.aspx?command=GetStatus",
         Headers: {},       
         cbReceiveText:       function(text, code, headers)  
         {
            var params = text.split(",");
            for (i = 0; i < params.length; i++)
            {
               var state = params[i].split(":");
               IR.Log(params[i]);
               switch(state[0])
               {
               case "RECORD":
                  IR.GetPage("Page 1").GetItem("Item 2").Text =  state[1];
               break;
               case " STREAM":
                  IR.GetPage("Page 1").GetItem("Item 3").Text =  state[1];
               break;
               case " NAME":
                  IR.GetPage("Page 1").GetItem("Item 4").Text =  state[1];
               break;
               }
            }
         }
   });
}